From 16881cd85fd22e9ba70f7785b21e3aa9baea4dd9 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Feb 08 2017 14:04:47 +0000
Subject: [PATCH 698/1001] Replace the deprecated 'fedora' OIDC scope


Fixes #316

---

diff --git a/hubs/default_config.py b/hubs/default_config.py
index 085ec5f..e540ad9 100755
--- a/hubs/default_config.py
+++ b/hubs/default_config.py
@@ -23,7 +23,11 @@ OIDC_CLIENT_SECRETS = os.path.join(os.path.dirname(
 OIDC_ID_TOKEN_COOKIE_SECURE = True
 OIDC_REQUIRE_VERIFIED_EMAIL = False
 OIDC_OPENID_REALM = 'http://localhost:5000/oidc_callback'
-OIDC_SCOPES = ['openid', 'email', 'profile', 'fedora']
+OIDC_SCOPES = [
+    'openid', 'email', 'profile',
+    'https://id.fedoraproject.org/scope/groups',
+    'https://id.fedoraproject.org/scope/cla',
+    ]
 
 # TODO - instead of 'develop', use the version from pkg_resources to figure out
 #        the right tag to link people to.  AGPL ftw.

